var x = 6;
var y = 15;
var z = 4;
x += y - x++ * z; 
z = -- x - y * 5; 
y /= x + 5 % z;  
z = x++ + y * 5; 
x = y - x++ * z;
document.writeln("X = " + x + '<br>');
document.writeln("Y = " + y + '<br>');
document.writeln("Z = " + z + '<br>');